@echo off
@chcp 65001 > nul

echo Нажми Enter если у тебя TLauncher
echo Иначе, укажи путь до майнкрафта:
echo Для этого нажми на иконку папки в лаунчере и скопируй путь из проводника
set /p MCDIR=(в конце должно быть что-то типо .minecraft или game): 

if "%MCDIR%" == "" set MCDIR=%USERPROFILE%\AppData\Roaming\.minecraft

set GAMEDIR=%APPDATA:\=\\%\\.minecraft-bta\\
set JSON=%MCDIR%\versions\BTA-Babric-7.2_01\BTA-Babric-7.2_01.json

IF EXIST "%MCDIR%\libraries\" (
    for /d /r "%MCDIR%\libraries" %%i in (*) do rmdir /s /q "%%i"
)
ECHO "%GAMEDIR:\\=\%mods\btwaila-1.0.10-7.1.jar"
IF EXIST "%GAMEDIR:\\=\%mods\btwaila-1.0.10-7.1.jar" (
    DEL /F /Q "%GAMEDIR:\\=\%mods\btwaila-1.0.10-7.1.jar"
)
IF EXIST "%GAMEDIR:\\=\%mods\halplibe-3.5.4.jar" (
    DEL /F /Q "%GAMEDIR:\\=\%mods\halplibe-3.5.4.jar"
)
IF EXIST "%GAMEDIR:\\=\%mods\modmenu-bta-2.0.5.jar" (
    DEL /F /Q "%GAMEDIR:\\=\%mods\modmenu-bta-2.0.5.jar"
)

xcopy /y /s ".\.minecraft-bta" "%GAMEDIR%"

xcopy /y /s ".\BTA-Babric-7.2_01" "%MCDIR%\versions\BTA-Babric-7.2_01\"

powershell -Command "(Get-Content -Path '%JSON%' -Raw) -replace '\${game_dir}', '%GAMEDIR%' | Set-Content -Path '%JSON%' -Encoding UTF8"


cls
echo УСПЕХ!
echo Теперь нажать кнопку обновить справа в TLauncher и выбрать версию BTA-Babric-7.2_01 слева
echo (нужно пролистать вниз до конца или до beta 1.7.3)
pause